Subject: Re: linux-next: manual merge of the rr tree

From: Mike Travis <[email-masked]>
Date: Mon, 05 Jan 2009 11:46:30 -0800

Rusty Russell wrote:
> On Monday 05 January 2009 14:02:39 Stephen Rothwell wrote:
>> Hi Rusty,
>>
>> Today's linux-next merge of the rr tree got a conflict in kernel/module.c
>> between commit d3794979a8a80c222ce9d016a6dfc4bed36965d0 ("Zero based
>> percpu: infrastructure to rebase the per cpu area to zero") from the
>> tip-core tree and the cpualloc patches from the rr tree.
> 
> That's a sweet patch, but there are a few issues with it.  Main one is
> that noone sets CONFIG_HAVE_ZERO_BASED_PER_CPU yet.  Is there more sitting
> outside the tree, Mike?

I have not had a chance to look at the new patch.  The one that I was working
on had an issue with bootup on x86_64 with certain gcc versions and got dropped
at the last moment.  Missing merge windows for the NR_CPUS=4096 changes was far
more critical to SGI.

> 
> 1) Author is wrong.  This is Christoph's, not Mike's.

Yes, most of the core code was Christoph's.  This was before I learned about
the 'From:' line in the patch.  I added some of the code to make it actually
work. ;-)

> 2) module.c now includes asm/sections.h twice.
> 3) We do still need RELOC_HIDE: it's for the compiler, not us.  It
>    can otherwise make assumptions about pointers remaining within objects.
> 4) Defining SHIFT_PERCPU_PTR for UP, and DEFINE_PER_CPU_FIRST are currently
>    unnecessary.  I assume for future patches, but I want to see them!
> 
> Thanks,
> Rusty.
> --
> To unsubscribe from this list: send the line "unsubscribe linux-next" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html